Skip to main content
GET
List redemptions

Authorizations

X-API-KEY
string
header
required

Authorization method required to allow user to access the api endpoints.

Query Parameters

redemption_token
string
state
enum<string>
Available options:
pending,
done,
done_late,
failed
redeeming_address
string
start_time
string

Inclusive start of the burn-time window. A date is midnight UTC.

end_time
string

Exclusive end of the burn-time window. A date is midnight UTC.

sort
enum<string>
default:burn_time
Available options:
burn_time,
deadline
order
enum<string>
default:asc

Direction of the sort column, also applied to the id tie-breaker so pages stay stable.

Available options:
asc,
desc
limit
number
Required range: 1 <= x <= 200
cursor
string

Response

200 - application/json
items
object[]
required
meta
object
required
Last modified on October 7, 2026